//-----------------------------------------------------------------------------
//                                 DXL.i
//
//  SWIG Wrapper Interface file for IBM Data Explorer DXLink (libDXL.a)
//-----------------------------------------------------------------------------

%module DXL
%include exception.i

//-----------------------------------------------------------------------------
//  Modifications to how the DXL.h definitions will be parsed
//-----------------------------------------------------------------------------

%include "DXL_typemaps.i"

//-----------------------------------------------------------------------------
// Import the definitions
//-----------------------------------------------------------------------------

// NOTE:  
//   Normally, we would just use the following (w/o the enclosing %if of course)
//   to have SWIG parse and automatically wrap the prototypes in dxl.h

%if defined( THE_IDEAL_CASE )

     %{
     #include "dxl.h"
     %}

     %include dxl.h

%endif

// However, the following issues keep us from doing so:
//
//     1) The DXLSetBrokenConnectionCallback() prototype declares a 
//        function pointer type in its argument list, and SWIG 1.1x has
//        trouble parsing these.
//
//     2) enum DXLPacketType { ident = val, ... }; 
//        typedef enum DXLPacketType DXLPacketTypeEnum;
//        SWIG doesn't grok this syntax yet.  But will parse a slightly
//        modified syntax.
//
//     3) Swig can't handle variable length argument lists (...), which makes
//        sense because there's nothing in C to tell it how to wrap these.
//
// So we include the dxl.h header file, modifying these bits so SWIG will take
// it.  See "<CHANGED>...</CHANGED>" sections in DXL_h_munged.i for the 
// places that were modified.

%include "DXL_h_munged.i"

//-----------------------------------------------------------------------------
//  Finally, add a few convenience methods of our own
//-----------------------------------------------------------------------------

%include "DXL_additions.i"
