#!/usr/bin/env python

"""Setup script for the OpenDX module distribution."""

#DX_PREFIX = '/home/rhh/software/dx-cvs-20010116'
DX_PREFIX = '/usr/local/dx'

# Packaged with Distutils-1.0.1 and Python 2.0
try:
    import distutils
    from distutils.command.install import install
    from distutils.core import setup, Extension
except:
    raise SystemExit, "Distutils problem."


setup (# Distribution meta-data
       name = "DX",
       version = "1.11",
       description = ("Python bindings for the OpenDX libraries (currently "
                      "just DXLink)"),
       author = "Randall Hopper",
       author_email = "aa8vb@nc.rr.com",
       url = "http://www.freebsd.org/~rhh/py-opendx/index.html",
       licence = '''Copyright (c) 2001 by Randall Hopper

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.''',

       # Description of the modules and packages in the distribution
       #packages = ['DX'],
       packages    = [''],
       package_dir = { '' : 'DX' },
       extra_path  = 'DX',    # .so's go in the package dir, not site-packages
       ext_modules = 
           [Extension(name         = 'DXLc',
                      sources      = ['DX/DXL_wrap.c','DX/DXL_fix.c'],
                      include_dirs = [DX_PREFIX+'/dx/include'],

                      library_dirs = [DX_PREFIX+'/dx/lib_sgi','/usr/local/lib32'],
                      libraries    = ['DXL','DXlite'],

                      #library_dirs = [DX_PREFIX+'/dx/lib_sgi','/usr/local/lib32'],
                      #libraries    = ['DXL','DXcallm','cdf','df'],
                      #extra_link_args = ['/usr/local/lib32/libMagick.so.5']

                      #library_dirs = [DX_PREFIX+'/dx/java/server/lib_sgi','/usr/local/lib32'],
                      #libraries    = ['AnyDX'],
                      #extra_link_args = ['-rpath '+DX_PREFIX+'/dx/java/server/lib_sgi']

                     )
           ]
      )
