#!/usr/bin/env python
#
#  1-run_file_net.py  -  A DXLink test which runs an DX net from a .net file.
#                        The net displays an image in a DX Display window
#                        (nothing tricky going on here yet).
#

import sys, os, time, DX
from DX.DXL import *

DX_SYNC      = 0
DX_DEBUG     = 0

def DXTest():

  print "\nPerforming display test:"

  conn = DXLStartDX( DX.DXEXEC + " -execonly", None )
  DXLSetSynchronization ( conn, DX_SYNC  )
  DXLSetMessageDebugging( conn, DX_DEBUG )

  exDXLLoadScript( conn, os.path.join( _TEST_DIR, "DisplayTest.net" ) )
  DXLExecuteOnce ( conn )
  WaitForDXIdle  ( conn )
  print "  Net execution complete."

  print "  Sleeping for 2 seconds."
  time.sleep(2)

  print "  Terminating DX."
  DXLExitDX( conn )


_TEST_DIR = os.path.abspath( sys.path[0] or os.curdir )

DXTest()




